package server

import "fmt"

type Config struct {
	AppID            string
	AppName          string
	AppDomain        string
	NetAddr          string
	Port             int
	LoggerAddr       string
	RegistryAddr     string
	DbURL            string
	MongoDbUrl       string
	EventBusURL      string
	EventBusExchange string
	EventBusQueue    string
}

func (c *Config) GetAppFullName() string {
	return fmt.Sprintf("%s_%s", c.AppName, c.AppID)
}
